Xerces-C++ 3.2.4

List of all members
XSNamedMap< TVal > Class Template Reference

`#include <xercesc/framework/psvi/XSNamedMap.hpp>`

Inheritance diagram for XSNamedMap< TVal >:

## Public Member Functions
Constructors
| XSNamedMap (const XMLSize_t maxElems, const XMLSize_t modulus, XMLStringPool *uriStringPool, const bool adoptElems, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSNamedMap ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSNamedMap methods
XMLSize_t | getLength () const
| The number of `XSObjects` in the `XSObjectList`. More...
TVal * | item (XMLSize_t index)
| Returns the `index`th item in the collection. More...
const TVal * | item (XMLSize_t index) const
TVal * | itemByName (const XMLCh *compNamespace, const XMLCh *localName)
| Retrieves a component specified by local name and namespace URI. More...
void | addElement (TVal *const toAdd, const XMLCh *key1, const XMLCh *key2)
| methods needed by implementation More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ XSNamedMap()

template<class TVal >

XSNamedMap< TVal >::XSNamedMap | ( | const XMLSize_t | maxElems,
|  | const XMLSize_t | modulus,
|  | XMLStringPool * | uriStringPool,
|  | const bool | adoptElems,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~XSNamedMap()

template<class TVal >

XSNamedMap< TVal >::~XSNamedMap | ( |  | ) |

## Member Function Documentation

## ◆ addElement()

template<class TVal >

void XSNamedMap< TVal >::addElement | ( | TVal *const | toAdd,
|  | const XMLCh * | key1,
|  | const XMLCh * | key2
| ) |  |

methods needed by implementation

## ◆ getLength()

template<class TVal >

XMLSize_t XSNamedMap< TVal >::getLength | ( |  | ) | const

The number of `XSObjects` in the `XSObjectList`.

The range of valid child object indices is 0 to `mapLength-1` inclusive.

## ◆ item() [1/2]

template<class TVal >

TVal * XSNamedMap< TVal >::item | ( | XMLSize_t | index | ) |

Returns the `index`th item in the collection.

The index starts at 0. If `index` is greater than or equal to the number of objects in the list, this returns `null`.

Parameters

  index | index into the collection.

Returns
  The `XSObject` at the `index`th position in the `XSObjectList`, or `null` if that is not a valid index.

## ◆ item() [2/2]

template<class TVal >

const TVal * XSNamedMap< TVal >::item | ( | XMLSize_t | index | ) | const

## ◆ itemByName()

template<class TVal >

TVal * XSNamedMap< TVal >::itemByName | ( | const XMLCh * | compNamespace,
|  | const XMLCh * | localName
| ) |  |

Retrieves a component specified by local name and namespace URI.

applications must use the value null as the `compNamespace` parameter for components whose targetNamespace property is absent.

Parameters

  compNamespace | The namespace URI of the component to retrieve.
  localName | The local name of the component to retrieve.

Returns
  A component (of any type) with the specified local name and namespace URI, or `null` if they do not identify any node in this map.

The documentation for this class was generated from the following file:

- XSNamedMap.hpp